### Name: pkdecompint
### Title: Decomposition of peaks in an interval
### Aliases: pkdecompint


### ** Examples

## Decomposition of data in peak interval into two components

par(mfrow=c(2,1))

data(indiumoxide)
indox<-indiumoxide[1901:2400,]
base<-baselinefit(indox)

ind<-c(base$indlsep[1],base$indrsep[1])

plot(indox[ind[1]:ind[2],1], 
base$baseline$peaks[ind[1]:ind[2]],xlab="",ylab="")

pks<-pkdecompint(base,intnum=1,k=2)

lines(indox[ind[1]:ind[2],1],pks$fit,col="red")
plot(indox[ind[1]:ind[2],1],pks$fitpk[1,],ylim=c(0,1800),type="l",xlab="",ylab="")
lines(indox[ind[1]:ind[2],1],pks$fitpk[2,])




